pro ssw_addmm_gen, mmmissions
;
;+
;   Name: ssw_addmm_gen
;
;   Purpose: add $SSW_MMM gen libraries for multi-instrument missions
;
;   Input Parameters:
;      mmmissions - optional vector of missions to include
;
;   History:
;      9-March-2005 - S.L.Freeland - long planned rationalization...
;     27-sep-2005   - S.L.Freeland - fix multi insstr/mission bug
;                                    reported by W.Thompson 
;-
on_error,1

if n_elements(mmmisions) eq 0 then $
   mmmissions=['stereo','vobs','radio','optical']

nmm=n_elements(mmmissions)

sswinstr=strtrim(strlowcase(get_logenv('SSW_INSTR')),2)  ; current user list
sswinstr=str2arr(strcompress(sswinstr),' ')

lowmiss=strlowcase(mmmissions)
upmiss=strupcase(mmmissions)
mmgen=concat_dir(concat_dir(concat_dir('$SSW',lowmiss),'gen'),'idl')

for i=0,nmm-1 do begin 
  mminst=str2arr(get_logenv('SSW_'+upmiss(i)+'_INSTR'),' ') ; mission insts,
  ss=where_arr(lowmiss(i)+'/'+sswinstr,mminst,count)
  if count gt 0 and strpos(!path,mmgen(i)) eq -1 then $
      ssw_path,mmgen(i),/quiet
endfor

return
end
